Page 2 of 2

Re: SoundConverter non si avvia

Posted: Tue Jul 10, 2018 17:49
by sabayonino
Il kernel da aggiornare è lo stesso , il 4.14 solo che c'è un aggiornamento della versione minore ed è pure indicato !!

Le versioni del kernel si leggono così :

kernel-W.X.Y-ZZZ
dove
"W" è la versionedel kernel
"X" è la Revisione Maggiore
"Y" è la revisione Minore
"ZZZ" è utilizzata per indicare la versione di patch (in genere è utilizzata su redhat,fedora,ubuntu etc)

quindi siu sabayon viene indicata la versione del kernel e la revisione maggiore:
linux-sabayon-4.14.0 Indica versione "4". Revisione Maggiore "14"

Nell'installazione dei pacchetti è indicata invece anche la revisione minore ossia il passaggio dlla 50 alla 53 (Kernel 4.14.53)
Ad ogni revisione , i moduli esterni (Ad esempio Virtualbox ed i drivers) devono essere ricompilati (Infatti cambia la revisione del pacchetto , quel numerino accanto alla tilde ~)

Inoltre ti propone i drivers nvidia 396.xx , e come ti ho già precedentemente scritto , non vanno più bene per la tua scheda video della serie 5

Repository : Adesso ho capito perchè ti lamentavi della presenza del weekly , ma non hai ancora capito come interpretare l'output (ed è lo stesso da una decina d'anni !! )

[Sabayon-weekly]--->[sabayonlinux.org]
Se precedentemente era attivo il weekly e poi lo hai cambiato in sabayonlinux.org (tu o presente nell'installazione), quel pacchetto non ha ricevuto alcun aggiornamento nella mainline precedentemente , se è stato aggiornato ti dice che passa dalla versione del weekly a quella del repository in uso (è chiaro che prima non era presente in quel repository)

Sono tutte cose che sono presenti quasi dagli albori di sabayon . Pensavo ormai che dopo tutti questi anni fossero stati assimilati .

Re: SoundConverter non si avvia

Posted: Tue Jul 10, 2018 21:22
by fiorello
Pero' quando vuoi sei testone ...

Non so come sia sia attivato il repo weekly, i drivers nvidia li ho smaskerati altrimenti non mi lasciava aggiornare il systema, del resto per metterli in block list ho dovuto creare il file package.mask perchè non è presente nel systeme.

Comunque ho reinstallato l'ISO, non ho ancora implementato i drivers Nvidia perchè prima aggiorno tutto il systema.

PS: ho usato la stessa iso questa volta il solo problema che ho riscontrato è quello della lingua che rimane in Americano. :|

Re: SoundConverter non si avvia

Posted: Tue Jul 10, 2018 22:02
by sabayonino
Testone sei tu ...
Il repo weekly ho scritto che potrebbe esser stato presente nella prima iso di installazione o il pcchetto proveniva da lì ma non centra nulla nel senso stretto della parola .
I drivers nvidia , devi mascherare anche il relativo pacchetto userspace altrimenti cerca di portarsi dietro la sua versione e per forza di cose protesta perchè pretende quella versione ! .
Il package.mask ormai penso di averlo scritto anche sui muri , se non è presete va creato. o copiato con il package.mask.example

Code: Select all

# cp /etc/entropy/packages/package.mask.example cp /etc/entropy/packages/package.mask
Al suo interno ci sono degli esempi su come mascherare in vario modo le versioni.
E' inutile che insisti con i 396. ti ritroveresti sempre con il cursore che ti fa le pernacchie ( a meno che tu non utilizzi i drivers open nouveau)

anche qui , occorre togliere dalla blacklist i drivers nouveau che sono blacklistati di default in favore dei drivers propietari !

il seguente comando commenta a relativa linea (usa un editor di testo se non ti piace utilizzare il comando sed)

Code: Select all

# sed -i '/blacklist nouveau/s/^/# /g' /etc/modprobe.d/blacklist.conf

Re: SoundConverter non si avvia

Posted: Thu Jul 12, 2018 11:05
by fiorello
Risolto reinstallando la ISO e senza usare Rigo per installare programmi. 8)

Image